Bug 9128 - ldb_index could mention the conflicting index value
ldb_index could mention the conflicting index value
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0 beta4
All All
: P5 enhancement
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 11:46 UTC by Arvid Requate
Modified: 2017-06-29 06:46 UTC (History)
2 users (show)

See Also:


Attachments
patch against ldb-1.1.9 (738 bytes, patch)
2012-08-30 11:47 UTC, Arvid Requate
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2012-08-30 11:46:46 UTC
In case of indexing conflicts, the ldb error message could output the conflicting value to help identifying the source of the conflict.
Comment 1 Arvid Requate 2012-08-30 11:47:47 UTC
Created attachment 7851 [details]
patch against ldb-1.1.9
Comment 2 Jeremy Allison 2012-09-05 19:06:47 UTC
Hmmm. My only issue with this patch - is "el->values[v_idx].data" guaranteed to be a printable string ?

Jeremy.
Comment 3 Andrew Bartlett 2012-09-06 00:57:30 UTC
I'm also wondering if we could be disclosing secret information this way. 

Currently unique indexes are on mundane things, and we don't have read access controls (except for a static list of secrets), but both of these things could change. 

If you do have read access to the attributes, finding out manually what you conflicted with shouldn't be too hard.
Comment 4 Arvid Requate 2012-11-28 10:33:15 UTC
Ok, "worksforme".
Comment 5 Andrew Bartlett 2017-06-27 21:55:46 UTC
Fixed by 2277301e46614154977b242d38669673eee5fe25 in master for Samba 4.7

I log more detail to the error log, but leave the remote error string vague for confidentiality.